/*!\file functionAdd.h
 *
 * \author SOUPLET Antoine
 * \version 1.0
 * \date 10-01-2012 
 *
 * \brief Fichier contenant les entêtes des fonctions additionnelles ou annexes au programme
 *
 */

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

/*!\fn char* removeChar(char* pc_string, char c_char)
 *
 * \author SOUPLET Antoine
 * \version 1.0
 * \date 10-01-2012 
 *
 * \brief Supprime d'une chaine de caractères tous les caractères identiques à celui passé en paramètre	
 *
 * \pre 
 * \post 
 *
 * \param pc_string : Une chaine de caractère correspondant à la chaine depuis laquelle on supprime le caractère
 * \param c_char : Un caractère représentant le caractère à supprimer de la chaine 
 * \return Une chaine de caractère après suppression du caractère pris en paramètre
 *
 */

char* removeChar(char* pc_string, char c_char);


/*!\fn int isIntegerBetween(char c_char, int i_min, int i_max)
 *
 * \author SOUPLET Antoine
 * \version 1.0
 * \date 10-01-2012 
 *
 * \brief Teste si un caractère est un chiffre compris entre deux entiers
 *
 * \pre 
 * \post 
 *
 * \param c_char : Un caractère correspondant à un entier à comparer
 * \param i_min : Un entier représentant la valeur minimale possible pour c_char
 * \param i_max : Un entier représentant la valeur maximale possible pour c_char
 * \return Un entier, 1 si le caractère est un chiffre entre i_min et i_max, 0 sinon 
 *
 */

int isIntegerBetween(char c_char, int i_min, int i_max);


/*!\fn void* myMalloc(size_t siz_size)
 *
 * \author SOUPLET Antoine
 * \version 1.0
 * \date 13-01-2012 
 *
 * \brief Redéfinition du malloc afin de tester automatiquement si l'allocation mémoire est un échec, auquel cas on quitte le programme
 *
 * \param siz_size : Taille de la mémoire à allouer
 * \return l'élément après allocation mémoire
 *
 */

void* myMalloc(size_t siz_size);



