/*!\file functionFile.h
 *
 * \author SOUPLET Antoine
 * \version 1.0
 * \date 09-01-2012 
 *
 * \brief Fichier contenant les entêtes des fonctions du fichier functionFile.c
 *
 */


#include <stdio.h>
#include "point.h"

/*!\fn char** readFileOfLsystem(char* pc_fileName)
 *
 * \author SOUPLET Antoine
 * \version 1.0
 * \date 09-01-2012 
 *
 * \brief Lit un fichier de type L-System et extrait les informations qu'il contient dans un tableau deux dimensions de caractère (tableau de chaine de caractère)
 *
 * \pre 
 * \post 
 *
 * \param pc_fileName : Une chaine de caractère correspondant au nom du fichier depuis lequel on extrait les informations
 * \return Un tableau de chaine de caractère contenant les informations extraites depuis le fichier passé en paramètre 
 *
 */

char** readFileOfLsystem(char* pc_fileName);


/*!\fn char** readFileOfFlame(char* pc_fileName)
 *
 * \author SOUPLET Antoine
 * \version 1.0
 * \date 09-01-2012 
 *
 * \brief Lit un fichier de type Flamme et extrait les informations qu'il contient dans un tableau deux dimensions de caractère (tableau de chaine de caractère)
 *
 * \pre 
 * \post 
 *
 * \param pc_fileName : Une chaine de caractère correspondant au nom du fichier depuis lequel on extrait les informations
 * \return Un tableau de chaine de caractère contenant les informations extraites depuis le fichier passé en paramètre 
 *
 */


char** readFileOfFlame(char* pc_fileName);


/*!\fn int numberOfLine(char* pc_fileName)
 *
 * \author SOUPLET Antoine
 * \version 1.0
 * \date 09-01-2012 
 *
 * \brief Compte le nombre de lignes d'un fichier
 *
 * \pre 
 * \post 
 *
 * \param pc_fileName : Une chaine de caractère représentant un fichier 
 * \return Le nombre de ligne du fichier 
 *
 */

int numberOfLine(char* pc_fileName);

